Authentication
Redirects the user to Akifast OAuth2 login page to initiate the authorization flow. The merchant must pass the required query parameters.
Query parameters
grant_typestring · enumRequiredPossible values:
Must be set to authorization_code.
response_typestring · enumRequiredPossible values:
Must be set to code.
client_idstringRequired
The client_id of the merchant.
statestringOptional
Optional state value used for CSRF protection and to maintain state between request and callback.
redirect_uristring · uriRequired
URI to which the user will be redirected after authentication.
Responses
302
Redirect to Akifast Login Page
application/json
400
Bad Request - Missing or invalid parameters
application/json
500
Internal Server Error
application/json
get
/oauth/authorizeWas this helpful?

